############################################################################## 
#
# Copyright (c) 2002 Xilinx, Inc.  All rights reserved.
#
# Xilinx, Inc.
# XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS" AS A 
# COURTESY TO YOU.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION AS
# ONE POSSIBLE   IMPLEMENTATION OF THIS FEATURE, APPLICATION OR 
# STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS IMPLEMENTATION
# IS FREE FROM ANY CLAIMS OF INFRINGEMENT, AND YOU ARE RESPONSIBLE 
# FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE FOR YOUR IMPLEMENTATION.  
# XILINX EXPRESSLY DISCLAIMS ANY WARRANTY WHATSOEVER WITH RESPECT TO 
# THE ADEQUACY OF THE IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO 
# ANY WARRANTIES OR REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE 
# FROM CLAIMS OF INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY 
# AND FITNESS FOR A PARTICULAR PURPOSE.
# 
# File   : Makefile
# Company: Xilinx
#
# Makefile for sys direcotry
#
# $Id: Makefile,v 1.2.2.2 2003/03/13 23:30:25 mohan Exp $
#
##############################################################################

OBJS = init.o queue.o process.o sched.o main.o mem.o timer.o

# INCLUDES = -I../../include -I$(PROJDIR)/$(SYSTEMNAME)/include 
# LIBS = -L../.. -L$(PROJDIR)/$(SYSTEMNAME)/lib
TOPDIR = ../..
SYSTEMDIR = ../../../../..
INCLUDEDIR = $(SYSTEMDIR)/include
INCLUDES = -I${TOPDIR}/include -I$(INCLUDEDIR)

all: $(OBJS)
	echo $(OBJS)

%.o:%.c
	$(CC) $(CFLAGS) -c $< -o $@ $(INCLUDES)

%.o:%.S
	$(CC) $(CFLAGS) -c $< -o $@ $(INCLUDES)

clean:
	rm -f $(OBJS) *~
